<div class="container-group container-group-{{this.className}} container-group-{{if @isMainValue 'main mb-4' 'small'}}" ...attributes>
  {{#if @isMainValue}}
    <h2 class="title hide-collapsed mb-2 {{unless @rawTitle 'capitalize-first-letter'}} {{if this.hasError 'text-danger'}}">
      {{#unless @isDisabled}}
        {{#if this.isEditMode}}
          <button type="button" class="btn btn-edit btn-success float-start me-2" disabled={{@disabled}} {{on "click" this.cancel}}>
            <FaIcon @icon="pencil-alt" />
          </button>
        {{else}}
          <button type="button" class="btn btn-edit btn-secondary float-start me-2" disabled={{@disabled}} {{on "click" this.edit}}>
            <FaIcon @icon="pencil-alt" />
          </button>
        {{/if}}
      {{/unless}}

      {{#if @rawTitle}}
        {{@rawTitle}}
      {{else}}
        {{@title}}
      {{/if}}

      {{#if @help}}
        <HelpTooltip>
          {{@help}}
        </HelpTooltip>
      {{/if}}

      {{#if this.isSaving}}
        <FaIcon @icon="spinner" @spin={{true}} />
      {{/if}}
    </h2>
  {{else}}
    <h4 class="title hide-collapsed mb-0 capitalize-first-letter {{if @hasError 'text-danger'}}">
      {{@title}}

      {{#if @help}}
        <small data-toggle="tooltip" data-placement="right" title={{@help}} class="group-help">
          <FaIcon @icon="question-circle" />
        </small>
      {{/if}}

      {{#if this.isSaving}}
        <FaIcon @icon="spinner" @spin={{true}} />
      {{/if}}

      {{#if this.canEdit}}
        <button type="button" class="btn btn-edit btn-link float-end m-0 p-0 {{if this.isDisabled 'disabled'}}" disabled={{@disabled}} {{on "click" this.edit}}>
          {{t "edit"}}
        </button>
      {{/if}}
    </h4>
  {{/if}}

  <div class="value {{if this.isEditMode 'editing' 'presenting'}}">
    {{yield this.isEditMode}}

    {{#if this.isEditMode}}
      <Manage::RowSaveCancel class="mt-3" @useLinks={{not @isMainValue}} @isDisabled={{this.isSaving}} @onSave={{this.save}} @onCancel={{this.cancel}} />
    {{/if}}
  </div>

  {{#unless @isMainValue}}
    <hr />
  {{/unless}}
</div>